For AI agents: the complete documentation index is available at /llms.txt, the full documentation bundle is available at /llms-full.txt, and this page is available as Markdown at /automcp/v1/reference.md.

AutoMCP Connect JSON RPC reference

Availability: The AutoMCP production service is not yet deployed. This page and its examples describe the committed v1 contract for integration planning; requests to the API URL will not succeed until the runtime is released.

This reference is generated from the committed automcp.v1 descriptor and public method inventory. It contains only the published public RPC surface. Replace ${BASE64_SECRET_VALUE} in secret examples with a securely generated value before sending a request. Bytes fields carrying customer JSON use the base64 encoding of a valid JSON document, not a secret placeholder. Server-generated backend keys, browser tokens, voice tickets, and webhook signing secrets are returned as plaintext only in the first successful response; persist that response because an idempotent replay with the same request ID returns no credential plaintext, and reissue or rotate the credential if the response is lost.

/automcp.v1.ApprovalService/DecideApproval

  • Request: automcp.v1.DecideApprovalRequest
  • Response: automcp.v1.DecideApprovalResponse
  • Authentication: browserToken (scopes: approvals:write)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
approvalIdmessage (automcp.v1.UUIDv7)falseobject
expectedResourceVersionuint64falsestring
decisionenum (automcp.v1.ApprovalDecision)falsestring

Response

FieldProtobuf typeRepeatedJSON shapeOneof
approvalmessage (automcp.v1.Approval)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.ApprovalService/DecideApproval" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"approvalId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"decision":"APPROVAL_DECISION_APPROVE","expectedResourceVersion":"1","requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.ApprovalService/GetApproval

  • Request: automcp.v1.GetApprovalRequest
  • Response: automcp.v1.GetApprovalResponse
  • Authentication: browserToken (scopes: approvals:read)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
approvalIdmessage (automcp.v1.UUIDv7)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
approvalmessage (automcp.v1.Approval)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.ApprovalService/GetApproval" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"approvalId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.ApprovalService/ListApprovals

  • Request: automcp.v1.ListApprovalsRequest
  • Response: automcp.v1.ListApprovalsResponse
  • Authentication: browserToken (scopes: approvals:read)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
stateenum (automcp.v1.ApprovalState)falsestring
pagemessage (automcp.v1.PageRequest)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
approvalsmessage (automcp.v1.Approval)truearray
pagemessage (automcp.v1.PageInfo)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.ApprovalService/ListApprovals" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"page":{"cursor":"","pageSize":1},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"state":"APPROVAL_STATE_UNSPECIFIED","workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.CustomerSecretService/CreateSecret

  • Request: automcp.v1.CreateSecretRequest
  • Response: automcp.v1.CreateSecretResponse
  • Authentication: backendKey (scopes: secrets:write)
  • Authentication: browserToken (scopes: secrets:write)
  • Payload access: writeOnlySecret
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
namestringfalsevalue
plaintextValuebytesfalsestring

Response

FieldProtobuf typeRepeatedJSON shapeOneof
secretmessage (automcp.v1.Secret)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.CustomerSecretService/CreateSecret" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"name":"example","plaintextValue":"${BASE64_SECRET_VALUE}","requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.CustomerSecretService/DeleteSecret

  • Request: automcp.v1.DeleteSecretRequest
  • Response: automcp.v1.DeleteSecretResponse
  • Authentication: backendKey (scopes: secrets:write)
  • Authentication: browserToken (scopes: secrets:write)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
secretIdmessage (automcp.v1.UUIDv7)falseobject
expectedResourceVersionuint64falsestring

Response

FieldProtobuf typeRepeatedJSON shapeOneof
secretmessage (automcp.v1.Secret)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.CustomerSecretService/DeleteSecret" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"expectedResourceVersion":"1","requestId":{"value":"01900000-0000-7000-8000-000000000001"},"secretId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.CustomerSecretService/GetSecret

  • Request: automcp.v1.GetSecretRequest
  • Response: automcp.v1.GetSecretResponse
  • Authentication: backendKey (scopes: secrets:read)
  • Authentication: browserToken (scopes: secrets:read)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
secretIdmessage (automcp.v1.UUIDv7)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
secretmessage (automcp.v1.Secret)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.CustomerSecretService/GetSecret" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"secretId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.CustomerSecretService/ListSecrets

  • Request: automcp.v1.ListSecretsRequest
  • Response: automcp.v1.ListSecretsResponse
  • Authentication: backendKey (scopes: secrets:read)
  • Authentication: browserToken (scopes: secrets:read)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
pagemessage (automcp.v1.PageRequest)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
secretsmessage (automcp.v1.Secret)truearray
pagemessage (automcp.v1.PageInfo)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.CustomerSecretService/ListSecrets" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"page":{"cursor":"","pageSize":1},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.CustomerSecretService/RotateSecret

  • Request: automcp.v1.RotateSecretRequest
  • Response: automcp.v1.RotateSecretResponse
  • Authentication: backendKey (scopes: secrets:write)
  • Authentication: browserToken (scopes: secrets:write)
  • Payload access: writeOnlySecret
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
secretIdmessage (automcp.v1.UUIDv7)falseobject
expectedResourceVersionuint64falsestring
plaintextValuebytesfalsestring

Response

FieldProtobuf typeRepeatedJSON shapeOneof
secretmessage (automcp.v1.Secret)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.CustomerSecretService/RotateSecret" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"expectedResourceVersion":"1","plaintextValue":"${BASE64_SECRET_VALUE}","requestId":{"value":"01900000-0000-7000-8000-000000000001"},"secretId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.CustomerUserService/CreateCustomerUserGrant

  • Request: automcp.v1.CreateCustomerUserGrantRequest
  • Response: automcp.v1.CreateCustomerUserGrantResponse
  • Authentication: backendKey (scopes: users:write)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
externalUserIdstringfalsevalue
attributesJsonbytesfalsestring
allowedToolIdsmessage (automcp.v1.UUIDv7)truearray
registeredOriginsstringtruearray
expiresAtmessage (google.protobuf.Timestamp)falsestring
allowedBrowserTokenScopesstringtruearray

Response

FieldProtobuf typeRepeatedJSON shapeOneof
customerUserGrantmessage (automcp.v1.CustomerUserGrant)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.CustomerUserService/CreateCustomerUserGrant" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"allowedBrowserTokenScopes":["sessions:write"],"allowedToolIds":[{"value":"01900000-0000-7000-8000-000000000001"}],"appId":{"value":"01900000-0000-7000-8000-000000000001"},"attributesJson":"e30=","externalUserId":"example","registeredOrigins":["https://example.com:443"],"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.CustomerUserService/DeleteCustomerUser

  • Request: automcp.v1.DeleteCustomerUserRequest
  • Response: automcp.v1.DeleteCustomerUserResponse
  • Authentication: backendKey (scopes: users:write)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
expectedResourceVersionuint64falsestring

Response

FieldProtobuf typeRepeatedJSON shapeOneof
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
deletionResourceVersionuint64falsestring
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.CustomerUserService/DeleteCustomerUser" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"expectedResourceVersion":"1","requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.CustomerUserService/GetCustomerUserGrant

  • Request: automcp.v1.GetCustomerUserGrantRequest
  • Response: automcp.v1.GetCustomerUserGrantResponse
  • Authentication: backendKey (scopes: users:read)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
externalUserIdstringfalsevalue

Response

FieldProtobuf typeRepeatedJSON shapeOneof
customerUserGrantmessage (automcp.v1.CustomerUserGrant)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.CustomerUserService/GetCustomerUserGrant" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"externalUserId":"example","requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.CustomerUserService/IssueBrowserToken

  • Request: automcp.v1.IssueBrowserTokenRequest
  • Response: automcp.v1.IssueBrowserTokenResponse
  • Authentication: backendKey (scopes: tokens:issue)
  • Payload access: writeOnlySecret
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
scopesstringtruearray
lifetimeSecondsuint32falsevalue
originsstringtruearray
allowedToolIdsmessage (automcp.v1.UUIDv7)truearray

Response

FieldProtobuf typeRepeatedJSON shapeOneof
tokenstringfalsevalue
expiresAtmessage (google.protobuf.Timestamp)falsestring
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.CustomerUserService/IssueBrowserToken" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"allowedToolIds":[{"value":"01900000-0000-7000-8000-000000000001"}],"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"lifetimeSeconds":3600,"origins":["https://example.com:443"],"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"scopes":["sessions:write"],"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.CustomerUserService/RevokeCustomerUserGrant

  • Request: automcp.v1.RevokeCustomerUserGrantRequest
  • Response: automcp.v1.RevokeCustomerUserGrantResponse
  • Authentication: backendKey (scopes: users:write)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
expectedResourceVersionuint64falsestring

Response

FieldProtobuf typeRepeatedJSON shapeOneof
customerUserGrantmessage (automcp.v1.CustomerUserGrant)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.CustomerUserService/RevokeCustomerUserGrant" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"expectedResourceVersion":"1","requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.CustomerUserService/UpdateCustomerUserGrant

  • Request: automcp.v1.UpdateCustomerUserGrantRequest
  • Response: automcp.v1.UpdateCustomerUserGrantResponse
  • Authentication: backendKey (scopes: users:write)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
expectedResourceVersionuint64falsestring
attributesJsonbytesfalsestring
allowedToolIdsmessage (automcp.v1.UUIDv7)truearray
registeredOriginsstringtruearray
expiresAtmessage (google.protobuf.Timestamp)falsestring
allowedBrowserTokenScopesstringtruearray

Response

FieldProtobuf typeRepeatedJSON shapeOneof
customerUserGrantmessage (automcp.v1.CustomerUserGrant)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.CustomerUserService/UpdateCustomerUserGrant" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"allowedBrowserTokenScopes":["sessions:write"],"allowedToolIds":[{"value":"01900000-0000-7000-8000-000000000001"}],"appId":{"value":"01900000-0000-7000-8000-000000000001"},"attributesJson":"e30=","customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"expectedResourceVersion":"1","registeredOrigins":["https://example.com:443"],"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'
  • Request: automcp.v1.CreateHostedApprovalLinkRequest
  • Response: automcp.v1.CreateHostedApprovalLinkResponse
  • Authentication: browserToken (scopes: approvals:read)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
runIdmessage (automcp.v1.UUIDv7)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
urlstringfalsevalue
expiresAtmessage (google.protobuf.Timestamp)falsestring
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.HostedService/CreateHostedApprovalLink" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"runId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.MemoryService/DeleteAllMemory

  • Request: automcp.v1.DeleteAllMemoryRequest
  • Response: automcp.v1.DeleteAllMemoryResponse
  • Authentication: backendKey (scopes: memory:write)
  • Authentication: browserToken (scopes: memory:write)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
expectedSettingsResourceVersionuint64falsestring

Response

FieldProtobuf typeRepeatedJSON shapeOneof
settingsmessage (automcp.v1.MemorySettings)falseobject
deletedCountuint64falsestring
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.MemoryService/DeleteAllMemory" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"expectedSettingsResourceVersion":"1","requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.MemoryService/DeleteMemoryItem

  • Request: automcp.v1.DeleteMemoryItemRequest
  • Response: automcp.v1.DeleteMemoryItemResponse
  • Authentication: backendKey (scopes: memory:write)
  • Authentication: browserToken (scopes: memory:write)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
memoryItemIdmessage (automcp.v1.UUIDv7)falseobject
expectedResourceVersionuint64falsestring

Response

FieldProtobuf typeRepeatedJSON shapeOneof
memoryItemmessage (automcp.v1.MemoryItem)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.MemoryService/DeleteMemoryItem" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"expectedResourceVersion":"1","memoryItemId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.MemoryService/GetMemorySettings

  • Request: automcp.v1.GetMemorySettingsRequest
  • Response: automcp.v1.GetMemorySettingsResponse
  • Authentication: backendKey (scopes: memory:read)
  • Authentication: browserToken (scopes: memory:read)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
settingsmessage (automcp.v1.MemorySettings)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.MemoryService/GetMemorySettings" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.MemoryService/ListMemoryItems

  • Request: automcp.v1.ListMemoryItemsRequest
  • Response: automcp.v1.ListMemoryItemsResponse
  • Authentication: backendKey (scopes: memory:read)
  • Authentication: browserToken (scopes: memory:read)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
pagemessage (automcp.v1.PageRequest)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
memoryItemsmessage (automcp.v1.MemoryItem)truearray
pagemessage (automcp.v1.PageInfo)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.MemoryService/ListMemoryItems" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"page":{"cursor":"","pageSize":1},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.MemoryService/UpdateMemoryItem

  • Request: automcp.v1.UpdateMemoryItemRequest
  • Response: automcp.v1.UpdateMemoryItemResponse
  • Authentication: backendKey (scopes: memory:write)
  • Authentication: browserToken (scopes: memory:write)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
memoryItemIdmessage (automcp.v1.UUIDv7)falseobject
expectedResourceVersionuint64falsestring
valueJsonbytesfalsestring

Response

FieldProtobuf typeRepeatedJSON shapeOneof
memoryItemmessage (automcp.v1.MemoryItem)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.MemoryService/UpdateMemoryItem" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"expectedResourceVersion":"1","memoryItemId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"valueJson":"e30=","workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.MemoryService/UpdateMemorySettings

  • Request: automcp.v1.UpdateMemorySettingsRequest
  • Response: automcp.v1.UpdateMemorySettingsResponse
  • Authentication: backendKey (scopes: memory:write)
  • Authentication: browserToken (scopes: memory:write)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
expectedResourceVersionuint64falsestring
enabledboolfalsevalue

Response

FieldProtobuf typeRepeatedJSON shapeOneof
settingsmessage (automcp.v1.MemorySettings)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.MemoryService/UpdateMemorySettings" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"enabled":true,"expectedResourceVersion":"1","requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.OAuthHandoffService/CompleteOAuthLoginRequest

  • Request: automcp.v1.CompleteOAuthLoginRequestRequest
  • Response: automcp.v1.CompleteOAuthLoginRequestResponse
  • Authentication: backendKey (scopes: oauth:login:complete)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
oauthLoginRequestIdmessage (automcp.v1.UUIDv7)falseobject
expectedResourceVersionuint64falsestring
customerUserIdmessage (automcp.v1.UUIDv7)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
browserReturnUrlstringfalsevalue
oauthLoginRequestIdmessage (automcp.v1.UUIDv7)falseobject
resourceVersionuint64falsestring
completedAtmessage (google.protobuf.Timestamp)falsestring
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.OAuthHandoffService/CompleteOAuthLoginRequest" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"expectedResourceVersion":"1","oauthLoginRequestId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.PlatformService/DownloadArtifact

  • Request: automcp.v1.DownloadArtifactRequest
  • Response: automcp.v1.DownloadArtifactResponse
  • Authentication: backendKey (scopes: runs:payload)
  • Authentication: browserToken (scopes: runs:payload)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
artifactIdmessage (automcp.v1.UUIDv7)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
artifactmessage (automcp.v1.Artifact)falseobject
contentbytesfalsestring
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.PlatformService/DownloadArtifact" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"artifactId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.PlatformService/GetArtifact

  • Request: automcp.v1.GetArtifactRequest
  • Response: automcp.v1.GetArtifactResponse
  • Authentication: backendKey (scopes: runs:payload)
  • Authentication: browserToken (scopes: runs:payload)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
artifactIdmessage (automcp.v1.UUIDv7)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
artifactmessage (automcp.v1.Artifact)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.PlatformService/GetArtifact" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"artifactId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.PlatformService/GetJob

  • Request: automcp.v1.GetJobRequest
  • Response: automcp.v1.GetJobResponse
  • Authentication: backendKey (scopes: runs:read)
  • Authentication: browserToken (scopes: runs:read)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
jobIdmessage (automcp.v1.UUIDv7)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
jobmessage (automcp.v1.Job)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.PlatformService/GetJob" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"jobId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.PlatformService/ListArtifacts

  • Request: automcp.v1.ListArtifactsRequest
  • Response: automcp.v1.ListArtifactsResponse
  • Authentication: backendKey (scopes: runs:payload)
  • Authentication: browserToken (scopes: runs:payload)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
jobIdmessage (automcp.v1.UUIDv7)falseobject
pagemessage (automcp.v1.PageRequest)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
artifactsmessage (automcp.v1.Artifact)truearray
pagemessage (automcp.v1.PageInfo)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.PlatformService/ListArtifacts" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"jobId":{"value":"01900000-0000-7000-8000-000000000001"},"page":{"cursor":"","pageSize":1},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.PlatformService/ListJobs

  • Request: automcp.v1.ListJobsRequest
  • Response: automcp.v1.ListJobsResponse
  • Authentication: backendKey (scopes: runs:read)
  • Authentication: browserToken (scopes: runs:read)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
pagemessage (automcp.v1.PageRequest)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
jobsmessage (automcp.v1.Job)truearray
pagemessage (automcp.v1.PageInfo)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.PlatformService/ListJobs" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"page":{"cursor":"","pageSize":1},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.RunService/CancelRun

  • Request: automcp.v1.CancelRunRequest
  • Response: automcp.v1.CancelRunResponse
  • Authentication: backendKey (scopes: runs:write)
  • Authentication: browserToken (scopes: runs:write)
  • Authentication: mcpOAuthToken (scopes: runs:write)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
runIdmessage (automcp.v1.UUIDv7)falseobject
expectedResourceVersionuint64falsestring

Response

FieldProtobuf typeRepeatedJSON shapeOneof
runmessage (automcp.v1.Run)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.RunService/CancelRun" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"expectedResourceVersion":"1","requestId":{"value":"01900000-0000-7000-8000-000000000001"},"runId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.RunService/CreateRun

  • Request: automcp.v1.CreateRunRequest
  • Response: automcp.v1.CreateRunResponse
  • Authentication: backendKey (scopes: runs:write)
  • Authentication: browserToken (scopes: runs:write)
  • Payload access: customerPayload
  • Cost behavior: providerCostSettled

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
appVersionIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
sessionIdmessage (automcp.v1.UUIDv7)falseobject
inputmessage (automcp.v1.TextTurnInput)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
runmessage (automcp.v1.Run)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.RunService/CreateRun" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"appVersionId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"input":{"text":"example"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"sessionId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.RunService/GetRun

  • Request: automcp.v1.GetRunRequest
  • Response: automcp.v1.GetRunResponse
  • Authentication: backendKey (scopes: runs:read)
  • Authentication: browserToken (scopes: runs:read)
  • Authentication: mcpOAuthToken (scopes: runs:read)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
runIdmessage (automcp.v1.UUIDv7)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
runmessage (automcp.v1.Run)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.RunService/GetRun" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"runId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.RunService/GetRunPayload

  • Request: automcp.v1.GetRunPayloadRequest
  • Response: automcp.v1.GetRunPayloadResponse
  • Authentication: backendKey (scopes: runs:payload)
  • Authentication: browserToken (scopes: runs:payload)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
runIdmessage (automcp.v1.UUIDv7)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
payloadmessage (automcp.v1.RunPayload)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.RunService/GetRunPayload" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"runId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.RunService/ListRuns

  • Request: automcp.v1.ListRunsRequest
  • Response: automcp.v1.ListRunsResponse
  • Authentication: backendKey (scopes: runs:read)
  • Authentication: browserToken (scopes: runs:read)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
sessionIdmessage (automcp.v1.UUIDv7)falseobject
pagemessage (automcp.v1.PageRequest)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
runsmessage (automcp.v1.Run)truearray
pagemessage (automcp.v1.PageInfo)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.RunService/ListRuns" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"page":{"cursor":"","pageSize":1},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"sessionId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.RunService/StreamRunText

  • Request: automcp.v1.StreamRunTextRequest
  • Response: automcp.v1.StreamRunTextResponse
  • Authentication: backendKey (scopes: runs:payload)
  • Authentication: browserToken (scopes: runs:payload)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
runIdmessage (automcp.v1.UUIDv7)falseobject
afterSequenceuint64falsestring

Response

FieldProtobuf typeRepeatedJSON shapeOneof
eventmessage (automcp.v1.RunTextEvent)falseobject
  • Streaming: Connect server-streaming with length-prefixed JSON envelopes.
node <<'NODE' | curl --no-buffer -X POST "https://automcp.api.delino.io/automcp.v1.RunService/StreamRunText" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/connect+json' \
  -H 'Connect-Protocol-Version: 1' \
  --data-binary @- \
  --output run.connect
const body = Buffer.from(JSON.stringify({"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"runId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}));
const frame = Buffer.alloc(5);
frame.writeUInt32BE(body.length, 1);
process.stdout.write(Buffer.concat([frame, body]));
NODE

The response is a Connect server stream written to run.connect; save the latest event sequence and reconnect with it as afterSequence. A full historical delta replay is not promised.

/automcp.v1.RunService/WatchRun

  • Request: automcp.v1.WatchRunRequest
  • Response: automcp.v1.WatchRunResponse
  • Authentication: backendKey (scopes: runs:read)
  • Authentication: browserToken (scopes: runs:read)
  • Authentication: mcpOAuthToken (scopes: runs:read)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
runIdmessage (automcp.v1.UUIDv7)falseobject
afterSequenceuint64falsestring

Response

FieldProtobuf typeRepeatedJSON shapeOneof
eventmessage (automcp.v1.RunStateEvent)falseobject
  • Streaming: Connect server-streaming with length-prefixed JSON envelopes.
node <<'NODE' | curl --no-buffer -X POST "https://automcp.api.delino.io/automcp.v1.RunService/WatchRun" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/connect+json' \
  -H 'Connect-Protocol-Version: 1' \
  --data-binary @- \
  --output run.connect
const body = Buffer.from(JSON.stringify({"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"runId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}));
const frame = Buffer.alloc(5);
frame.writeUInt32BE(body.length, 1);
process.stdout.write(Buffer.concat([frame, body]));
NODE

The response is a Connect server stream written to run.connect; save the latest event sequence and reconnect with it as afterSequence. A full historical delta replay is not promised.

/automcp.v1.SessionService/CreateSession

  • Request: automcp.v1.CreateSessionRequest
  • Response: automcp.v1.CreateSessionResponse
  • Authentication: backendKey (scopes: sessions:write)
  • Authentication: browserToken (scopes: sessions:write)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
appVersionIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
sessionmessage (automcp.v1.Session)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.SessionService/CreateSession" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.SessionService/CreateVoiceConnectionTicket

  • Request: automcp.v1.CreateVoiceConnectionTicketRequest
  • Response: automcp.v1.CreateVoiceConnectionTicketResponse
  • Authentication: browserToken (scopes: voice:connect)
  • Payload access: writeOnlySecret
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
sessionIdmessage (automcp.v1.UUIDv7)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
ticketstringfalsevalue
websocketUrlstringfalsevalue
expiresAtmessage (google.protobuf.Timestamp)falsestring
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.SessionService/CreateVoiceConnectionTicket" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"sessionId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.SessionService/DeleteSession

  • Request: automcp.v1.DeleteSessionRequest
  • Response: automcp.v1.DeleteSessionResponse
  • Authentication: backendKey (scopes: sessions:write)
  • Authentication: browserToken (scopes: sessions:write)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
sessionIdmessage (automcp.v1.UUIDv7)falseobject
expectedResourceVersionuint64falsestring

Response

FieldProtobuf typeRepeatedJSON shapeOneof
sessionmessage (automcp.v1.Session)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.SessionService/DeleteSession" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"expectedResourceVersion":"1","requestId":{"value":"01900000-0000-7000-8000-000000000001"},"sessionId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.SessionService/GetSession

  • Request: automcp.v1.GetSessionRequest
  • Response: automcp.v1.GetSessionResponse
  • Authentication: backendKey (scopes: sessions:read)
  • Authentication: browserToken (scopes: sessions:read)
  • Payload access: customerPayload
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
sessionIdmessage (automcp.v1.UUIDv7)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
sessionmessage (automcp.v1.Session)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.SessionService/GetSession" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"sessionId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.SessionService/ListSessions

  • Request: automcp.v1.ListSessionsRequest
  • Response: automcp.v1.ListSessionsResponse
  • Authentication: backendKey (scopes: sessions:read)
  • Authentication: browserToken (scopes: sessions:read)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
pagemessage (automcp.v1.PageRequest)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
sessionsmessage (automcp.v1.Session)truearray
pagemessage (automcp.v1.PageInfo)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.SessionService/ListSessions" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"customerUserId":{"value":"01900000-0000-7000-8000-000000000001"},"page":{"cursor":"","pageSize":1},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.WebhookService/CreateWebhookEndpoint

  • Request: automcp.v1.CreateWebhookEndpointRequest
  • Response: automcp.v1.CreateWebhookEndpointResponse
  • Authentication: backendKey (scopes: webhooks:write)
  • Authentication: logtoUser (authorization: Delcore permissions)
  • Payload access: writeOnlySecret
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
urlstringfalsevalue
eventTypesenum (automcp.v1.WebhookEventType)truearray

Response

FieldProtobuf typeRepeatedJSON shapeOneof
webhookEndpointmessage (automcp.v1.WebhookEndpoint)falseobject
signingSecretstringfalsevalue
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.WebhookService/CreateWebhookEndpoint" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"eventTypes":["WEBHOOK_EVENT_TYPE_RUN_COMPLETED"],"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"url":"https://example.com/webhook","workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.WebhookService/DeleteWebhookEndpoint

  • Request: automcp.v1.DeleteWebhookEndpointRequest
  • Response: automcp.v1.DeleteWebhookEndpointResponse
  • Authentication: backendKey (scopes: webhooks:write)
  • Authentication: logtoUser (authorization: Delcore permissions)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
webhookEndpointIdmessage (automcp.v1.UUIDv7)falseobject
expectedResourceVersionuint64falsestring

Response

FieldProtobuf typeRepeatedJSON shapeOneof
webhookEndpointmessage (automcp.v1.WebhookEndpoint)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.WebhookService/DeleteWebhookEndpoint" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"expectedResourceVersion":"1","requestId":{"value":"01900000-0000-7000-8000-000000000001"},"webhookEndpointId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.WebhookService/GetWebhookEndpoint

  • Request: automcp.v1.GetWebhookEndpointRequest
  • Response: automcp.v1.GetWebhookEndpointResponse
  • Authentication: backendKey (scopes: webhooks:read)
  • Authentication: logtoUser (authorization: Delcore permissions)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
webhookEndpointIdmessage (automcp.v1.UUIDv7)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
webhookEndpointmessage (automcp.v1.WebhookEndpoint)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.WebhookService/GetWebhookEndpoint" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"webhookEndpointId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.WebhookService/ListWebhookDeliveries

  • Request: automcp.v1.ListWebhookDeliveriesRequest
  • Response: automcp.v1.ListWebhookDeliveriesResponse
  • Authentication: backendKey (scopes: webhooks:read)
  • Authentication: logtoUser (authorization: Delcore permissions)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
webhookEndpointIdmessage (automcp.v1.UUIDv7)falseobject
pagemessage (automcp.v1.PageRequest)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
webhookDeliveriesmessage (automcp.v1.WebhookDelivery)truearray
pagemessage (automcp.v1.PageInfo)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.WebhookService/ListWebhookDeliveries" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"page":{"cursor":"","pageSize":1},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"webhookEndpointId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.WebhookService/ListWebhookEndpoints

  • Request: automcp.v1.ListWebhookEndpointsRequest
  • Response: automcp.v1.ListWebhookEndpointsResponse
  • Authentication: backendKey (scopes: webhooks:read)
  • Authentication: logtoUser (authorization: Delcore permissions)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
pagemessage (automcp.v1.PageRequest)falseobject

Response

FieldProtobuf typeRepeatedJSON shapeOneof
webhookEndpointsmessage (automcp.v1.WebhookEndpoint)truearray
pagemessage (automcp.v1.PageInfo)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.WebhookService/ListWebhookEndpoints" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"page":{"cursor":"","pageSize":1},"requestId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.WebhookService/RedeliverWebhookDelivery

  • Request: automcp.v1.RedeliverWebhookDeliveryRequest
  • Response: automcp.v1.RedeliverWebhookDeliveryResponse
  • Authentication: backendKey (scopes: webhooks:write)
  • Authentication: logtoUser (authorization: Delcore permissions)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
webhookDeliveryIdmessage (automcp.v1.UUIDv7)falseobject
expectedResourceVersionuint64falsestring

Response

FieldProtobuf typeRepeatedJSON shapeOneof
webhookDeliverymessage (automcp.v1.WebhookDelivery)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.WebhookService/RedeliverWebhookDelivery" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"expectedResourceVersion":"1","requestId":{"value":"01900000-0000-7000-8000-000000000001"},"webhookDeliveryId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.WebhookService/RotateWebhookSecret

  • Request: automcp.v1.RotateWebhookSecretRequest
  • Response: automcp.v1.RotateWebhookSecretResponse
  • Authentication: backendKey (scopes: webhooks:write)
  • Authentication: logtoUser (authorization: Delcore permissions)
  • Payload access: writeOnlySecret
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
webhookEndpointIdmessage (automcp.v1.UUIDv7)falseobject
expectedResourceVersionuint64falsestring

Response

FieldProtobuf typeRepeatedJSON shapeOneof
webhookEndpointmessage (automcp.v1.WebhookEndpoint)falseobject
signingSecretstringfalsevalue
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.WebhookService/RotateWebhookSecret" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"expectedResourceVersion":"1","requestId":{"value":"01900000-0000-7000-8000-000000000001"},"webhookEndpointId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

/automcp.v1.WebhookService/UpdateWebhookEndpoint

  • Request: automcp.v1.UpdateWebhookEndpointRequest
  • Response: automcp.v1.UpdateWebhookEndpointResponse
  • Authentication: backendKey (scopes: webhooks:write)
  • Authentication: logtoUser (authorization: Delcore permissions)
  • Payload access: metadataOnly
  • Cost behavior: freeControlPlane

JSON fields

Request

FieldProtobuf typeRepeatedJSON shapeOneof
requestIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
webhookEndpointIdmessage (automcp.v1.UUIDv7)falseobject
expectedResourceVersionuint64falsestring
urlstringfalsevalue
eventTypesenum (automcp.v1.WebhookEventType)truearray
enabledboolfalsevalue

Response

FieldProtobuf typeRepeatedJSON shapeOneof
webhookEndpointmessage (automcp.v1.WebhookEndpoint)falseobject
  • Streaming: unary JSON request and response.
curl -X POST "https://automcp.api.delino.io/automcp.v1.WebhookService/UpdateWebhookEndpoint" \
  -H "Authorization: Bearer $AUTOMCP_TOKEN" \
  -H 'Content-Type: application/json' \
  -H 'Connect-Protocol-Version: 1' \
  -d '{"appId":{"value":"01900000-0000-7000-8000-000000000001"},"enabled":true,"eventTypes":["WEBHOOK_EVENT_TYPE_RUN_COMPLETED"],"expectedResourceVersion":"1","requestId":{"value":"01900000-0000-7000-8000-000000000001"},"url":"https://example.com/webhook","webhookEndpointId":{"value":"01900000-0000-7000-8000-000000000001"},"workspaceId":{"value":"01900000-0000-7000-8000-000000000001"}}'

Referenced message and enum schemas

automcp.v1.Approval

FieldProtobuf typeRepeatedJSON shapeOneof
approvalIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
runIdmessage (automcp.v1.UUIDv7)falseobject
toolIdmessage (automcp.v1.UUIDv7)falseobject
stateenum (automcp.v1.ApprovalState)falsestring
proposedArgumentsmessage (automcp.v1.EncodedPayload)falseobject
resourceVersionuint64falsestring
expiresAtmessage (google.protobuf.Timestamp)falsestring
targetmessage (automcp.v1.ApprovalTarget)falseobject
argumentSha256bytesfalsestring
trustedUserHeadersmap<string, string>falseobject keyed by string

automcp.v1.ApprovalTarget

FieldProtobuf typeRepeatedJSON shapeOneof
appDisplayNamestringfalsevalue
publishedVersionLabelstringfalsevalue
toolNamestringfalsevalue
destinationstringfalsevalue

automcp.v1.Artifact

FieldProtobuf typeRepeatedJSON shapeOneof
artifactIdmessage (automcp.v1.UUIDv7)falseobject
jobIdmessage (automcp.v1.UUIDv7)falseobject
runIdmessage (automcp.v1.UUIDv7)falseobject
filenamestringfalsevalue
mediaTypestringfalsevalue
sizeBytesuint64falsestring
sha256bytesfalsestring
expiresAtmessage (google.protobuf.Timestamp)falsestring

automcp.v1.CustomerUserGrant

FieldProtobuf typeRepeatedJSON shapeOneof
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
externalUserIdstringfalsevalue
attributesJsonbytesfalsestring
resourceVersionuint64falsestring
createdAtmessage (google.protobuf.Timestamp)falsestring
updatedAtmessage (google.protobuf.Timestamp)falsestring
allowedToolIdsmessage (automcp.v1.UUIDv7)truearray
registeredOriginsstringtruearray
expiresAtmessage (google.protobuf.Timestamp)falsestring
revokedAtmessage (google.protobuf.Timestamp)falsestring
allowedBrowserTokenScopesstringtruearray

automcp.v1.EncodedPayload

FieldProtobuf typeRepeatedJSON shapeOneof
encodingenum (automcp.v1.PayloadEncoding)falsestring
valuebytesfalsestring
schemaSha256bytesfalsestring

automcp.v1.ErrorDetail

FieldProtobuf typeRepeatedJSON shapeOneof
reasonenum (automcp.v1.ErrorReason)falsestring
requestIdmessage (automcp.v1.UUIDv7)falseobject
correlationIdstringfalsevalue
retryAfterSecondsuint32falsevalue
retryGuidanceenum (automcp.v1.RetryGuidance)falsestring
fieldViolationsmessage (automcp.v1.FieldViolation)truearray

automcp.v1.FieldViolation

FieldProtobuf typeRepeatedJSON shapeOneof
fieldstringfalsevalue
descriptionstringfalsevalue

automcp.v1.Job

FieldProtobuf typeRepeatedJSON shapeOneof
jobIdmessage (automcp.v1.UUIDv7)falseobject
runIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
stateenum (automcp.v1.RunState)falsestring
resourceVersionuint64falsestring
createdAtmessage (google.protobuf.Timestamp)falsestring
completedAtmessage (google.protobuf.Timestamp)falsestring

automcp.v1.MemoryItem

FieldProtobuf typeRepeatedJSON shapeOneof
memoryItemIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
keystringfalsevalue
valueJsonbytesfalsestring
resourceVersionuint64falsestring
updatedAtmessage (google.protobuf.Timestamp)falsestring
sourceSessionIdsmessage (automcp.v1.UUIDv7)truearray

automcp.v1.MemorySettings

FieldProtobuf typeRepeatedJSON shapeOneof
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
enabledboolfalsevalue
resourceVersionuint64falsestring

automcp.v1.PageInfo

FieldProtobuf typeRepeatedJSON shapeOneof
nextCursorstringfalsevalue

automcp.v1.PageRequest

FieldProtobuf typeRepeatedJSON shapeOneof
pageSizeuint32falsevalue
cursorstringfalsevalue

automcp.v1.Run

FieldProtobuf typeRepeatedJSON shapeOneof
runIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
appVersionIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
sessionIdmessage (automcp.v1.UUIDv7)falseobject
stateenum (automcp.v1.RunState)falsestring
resourceVersionuint64falsestring
settledCustomerCostmessage (automcp.v1.USDAmount)falseobject
errormessage (automcp.v1.ErrorDetail)falseobject
createdAtmessage (google.protobuf.Timestamp)falsestring
updatedAtmessage (google.protobuf.Timestamp)falsestring
memoryWarningboolfalsevalue
jobIdmessage (automcp.v1.UUIDv7)falseobject

automcp.v1.RunPayload

FieldProtobuf typeRepeatedJSON shapeOneof
inputmessage (automcp.v1.TextTurnInput)falseobject
outputmessage (automcp.v1.TextTurnOutput)falseobject
toolCallsmessage (automcp.v1.ToolCallPayload)truearray

automcp.v1.RunStateEvent

FieldProtobuf typeRepeatedJSON shapeOneof
eventIdmessage (automcp.v1.UUIDv7)falseobject
runIdmessage (automcp.v1.UUIDv7)falseobject
sequenceuint64falsestring
stateenum (automcp.v1.RunState)falsestring
runResourceVersionuint64falsestring
errormessage (automcp.v1.ErrorDetail)falseobject
occurredAtmessage (google.protobuf.Timestamp)falsestring

automcp.v1.RunTextEvent

FieldProtobuf typeRepeatedJSON shapeOneof
eventIdmessage (automcp.v1.UUIDv7)falseobject
runIdmessage (automcp.v1.UUIDv7)falseobject
sequenceuint64falsestring
deltastringfalsevalue
finalboolfalsevalue
occurredAtmessage (google.protobuf.Timestamp)falsestring

automcp.v1.Secret

FieldProtobuf typeRepeatedJSON shapeOneof
secretIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
namestringfalsevalue
activeVersionuint32falsevalue
resourceVersionuint64falsestring
createdAtmessage (google.protobuf.Timestamp)falsestring
updatedAtmessage (google.protobuf.Timestamp)falsestring

automcp.v1.Session

FieldProtobuf typeRepeatedJSON shapeOneof
sessionIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
appVersionIdmessage (automcp.v1.UUIDv7)falseobject
customerUserIdmessage (automcp.v1.UUIDv7)falseobject
stateenum (automcp.v1.SessionState)falsestring
resourceVersionuint64falsestring
createdAtmessage (google.protobuf.Timestamp)falsestring
updatedAtmessage (google.protobuf.Timestamp)falsestring

automcp.v1.TextTurnInput

FieldProtobuf typeRepeatedJSON shapeOneof
textstringfalsevalue

automcp.v1.TextTurnOutput

FieldProtobuf typeRepeatedJSON shapeOneof
textstringfalsevalue

automcp.v1.ToolCallPayload

FieldProtobuf typeRepeatedJSON shapeOneof
toolIdmessage (automcp.v1.UUIDv7)falseobject
argumentsmessage (automcp.v1.EncodedPayload)falseobject
resultmessage (automcp.v1.EncodedPayload)falseobject

automcp.v1.USDAmount

FieldProtobuf typeRepeatedJSON shapeOneof
millionthsint64falsestring

automcp.v1.UUIDv7

FieldProtobuf typeRepeatedJSON shapeOneof
valuestringfalsevalue

automcp.v1.WebhookDelivery

FieldProtobuf typeRepeatedJSON shapeOneof
webhookDeliveryIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
webhookEndpointIdmessage (automcp.v1.UUIDv7)falseobject
eventTypeenum (automcp.v1.WebhookEventType)falsestring
subjectIdmessage (automcp.v1.UUIDv7)falseobject
stateenum (automcp.v1.WebhookDeliveryState)falsestring
attemptCountuint32falsevalue
createdAtmessage (google.protobuf.Timestamp)falsestring
deliveredAtmessage (google.protobuf.Timestamp)falsestring
resourceVersionuint64falsestring
eventIdmessage (automcp.v1.UUIDv7)falseobject
eventVersionuint32falsevalue

automcp.v1.WebhookEndpoint

FieldProtobuf typeRepeatedJSON shapeOneof
webhookEndpointIdmessage (automcp.v1.UUIDv7)falseobject
workspaceIdmessage (automcp.v1.UUIDv7)falseobject
appIdmessage (automcp.v1.UUIDv7)falseobject
urlstringfalsevalue
eventTypesenum (automcp.v1.WebhookEventType)truearray
enabledboolfalsevalue
resourceVersionuint64falsestring
createdAtmessage (google.protobuf.Timestamp)falsestring
updatedAtmessage (google.protobuf.Timestamp)falsestring

google.protobuf.Timestamp

JSON representation
string

automcp.v1.ApprovalDecision enum values

  • APPROVAL_DECISION_UNSPECIFIED
  • APPROVAL_DECISION_APPROVE
  • APPROVAL_DECISION_REJECT

automcp.v1.ApprovalState enum values

  • APPROVAL_STATE_UNSPECIFIED
  • APPROVAL_STATE_PENDING
  • APPROVAL_STATE_APPROVED
  • APPROVAL_STATE_REJECTED
  • APPROVAL_STATE_EXPIRED
  • APPROVAL_STATE_CANCELED

automcp.v1.ErrorReason enum values

  • ERROR_REASON_UNSPECIFIED
  • ERROR_REASON_INVALID_ARGUMENT
  • ERROR_REASON_AUTHENTICATION_REQUIRED
  • ERROR_REASON_AUTHORIZATION_DENIED
  • ERROR_REASON_RESOURCE_NOT_FOUND
  • ERROR_REASON_IDEMPOTENCY_CONFLICT
  • ERROR_REASON_RESOURCE_VERSION_CONFLICT
  • ERROR_REASON_FAILED_PRECONDITION
  • ERROR_REASON_QUOTA_EXHAUSTED
  • ERROR_REASON_RATE_LIMITED
  • ERROR_REASON_CONCURRENCY_EXHAUSTED
  • ERROR_REASON_BILLING_BLOCKED
  • ERROR_REASON_DEPENDENCY_UNAVAILABLE
  • ERROR_REASON_APP_STOPPED
  • ERROR_REASON_VERSION_STOPPED
  • ERROR_REASON_SPEC_INVALID
  • ERROR_REASON_TOOL_UNSUPPORTED
  • ERROR_REASON_APPROVAL_REQUIRED
  • ERROR_REASON_APPROVAL_EXPIRED
  • ERROR_REASON_OUTCOME_UNKNOWN
  • ERROR_REASON_COST_UNVERIFIED
  • ERROR_REASON_INTERNAL

automcp.v1.PayloadEncoding enum values

  • PAYLOAD_ENCODING_UNSPECIFIED
  • PAYLOAD_ENCODING_JSON
  • PAYLOAD_ENCODING_PROTO_JSON

automcp.v1.RetryGuidance enum values

  • RETRY_GUIDANCE_UNSPECIFIED
  • RETRY_GUIDANCE_AFTER_DELAY
  • RETRY_GUIDANCE_AFTER_DEPENDENCY_RECOVERY
  • RETRY_GUIDANCE_AFTER_REAUTHENTICATION
  • RETRY_GUIDANCE_AFTER_STATE_CHANGE
  • RETRY_GUIDANCE_DO_NOT_RETRY

automcp.v1.RunState enum values

  • RUN_STATE_UNSPECIFIED
  • RUN_STATE_QUEUED
  • RUN_STATE_RUNNING
  • RUN_STATE_AWAITING_APPROVAL
  • RUN_STATE_AWAITING_COST_EVIDENCE
  • RUN_STATE_AWAITING_SETTLEMENT
  • RUN_STATE_CANCELING
  • RUN_STATE_SUCCEEDED
  • RUN_STATE_FAILED
  • RUN_STATE_CANCELED
  • RUN_STATE_OUTCOME_UNKNOWN

automcp.v1.SessionState enum values

  • SESSION_STATE_UNSPECIFIED
  • SESSION_STATE_ACTIVE
  • SESSION_STATE_DELETED

automcp.v1.WebhookDeliveryState enum values

  • WEBHOOK_DELIVERY_STATE_UNSPECIFIED
  • WEBHOOK_DELIVERY_STATE_PENDING
  • WEBHOOK_DELIVERY_STATE_DELIVERED
  • WEBHOOK_DELIVERY_STATE_FAILED
  • WEBHOOK_DELIVERY_STATE_CANCELED

automcp.v1.WebhookEventType enum values

  • WEBHOOK_EVENT_TYPE_UNSPECIFIED
  • WEBHOOK_EVENT_TYPE_RUN_STATE_CHANGED
  • WEBHOOK_EVENT_TYPE_RUN_COMPLETED
  • WEBHOOK_EVENT_TYPE_RUN_FAILED
  • WEBHOOK_EVENT_TYPE_RUN_OUTCOME_UNKNOWN
  • WEBHOOK_EVENT_TYPE_APPROVAL_REQUIRED